## lout 3.39

=== debian/changelog ===
lout (3.39-3) unstable; urgency=medium

  * QA upload.
  * Switch to dh and enable hardening.
  * Drop dh-buildinfo from Build-Depends. This information should better
    kept outside of the binary package itself.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Aug 2016 18:44:18 +0100

lout (3.39-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #717188). Set maintainer to "Debian QA Group".
  * Drop way outdated preinst from lout-common.
  * Add build-arch and build-indep targets to debian/rules. Closes: #822052.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Jul 2016 23:59:46 +0100

lout (3.39-1) unstable; urgency=low

  * New upstream release.
  * [debian/source/format] Added - switch to source format 3.0 (quilt).
  * [debian/rules] Replace deprecated "dh_clean -k" with "dh_prep".
  * [debian/control]
    * Updated homepage.
    * Added Depends: ${misc:Depends}
    * Updated Standards-Version. 
  * [debian/copyright] Reworked, updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 26 Sep 2010 21:23:58 +0200

lout (3.38-1) unstable; urgency=low

  * New upstream release. Upstream changes include:
    * Fiddled with prg2lout.c hoping to fix its intermittent crash bug
    * Converted "non-zero exit status of filter" from a fatal error to a
      warning, so the unfixed prg2lout error has fewer repercussions
    This takes care of the intermittent FTBFS. (Closes: #400178)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 15 Oct 2008 06:42:21 +0200

lout (3.37-1) unstable; urgency=low

  * New upstream release.
  * [debian/compat] Updated debhelper version.
  * [debian/lout-doc.doc-base.design, debian/lout-doc.doc-base.expert]
    Converted to UTF-8.
  * [debian/lout-doc.doc-base.*] Update section to "Text".
  * [debian/rules] Remove locale directory if empty.
  * [debian/control] Added Homepage. Updated debhelper build dependency.
    Updated Standards-Version. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Sep 2008 16:14:03 +0200

lout (3.36-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 29 Jul 2007 09:53:20 +0200

lout (3.35-2) unstable; urgency=low

  * [debian/control] Use ${source:Version} rather than ${Source-Version} to
    make the package safe for binNMUs. (Closes: #432987)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 17 Jul 2007 19:22:03 +0200

lout (3.35-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 14 Apr 2007 12:38:27 +0200

lout (3.34-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Mar 2007 20:43:27 +0100

lout (3.33-1) unstable; urgency=high

  * New upstream release.
  * [include/diagf] Add "@DHULine @DHUArrow @UHDLine @UHDArrow" as per
    upstream notice post 3.33 release.
  * [debian/rules] Pass LOUTLIBDIR and LOUTDOCDIR during build, to
    get the right @SysInclude path. (Closes: #398202)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 22 Nov 2006 22:22:45 +0100

lout (3.32-1) unstable; urgency=medium

  * New upstream release.
  * [debian/control] Updated Standards-Version.
  * [debian/rules] Simplify using new `-r' option.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Nov 2006 11:27:27 +0100

lout (3.31-2) unstable; urgency=medium

  * Do away with the circular dependency between lout and lout-common as 
    circular dependencies are problematic in some upgrade scenarios. 
    (Closes: #341986)
    * [debian/control] Replaced lout-common Depends: lout by a Suggests:
      dependency.
    * [debian/rules] Don't symlink /usr/share/doc/lout-common to
      /usr/share/doc/lout ; instead, let debhelper create a
      /usr/share/doc/lout-common documentation directory.
    * [debian/lout-common.preinst] New. As dpkg won't replace a symlink with
      a directory, remove the symlink to make things work.
  * [debian/control] Use '*' rather than 'o' as the bullet character in the
    descriptions to improve formatting in aptitude. (Closes: #338972)
  * [debian/compat] New. Switch to debhelper compatibility level 5.
  * [debian/control] Tighten debhelper build dependency accordingly.
  * [debian/rules] No longer specify debhelper compatibility level here.
  * [debian/copyright] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Dec 2005 13:41:27 +0100

lout (3.31-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] Updated Standards-Version. Added lout-doc Suggests:
    doc-base
  * [debian/rules] Switch dh_install from --list-missing to --fail-misssing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 24 Aug 2005 20:25:33 +0200

lout (3.30-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 28 Oct 2004 17:42:31 +0200

lout (3.29-3) unstable; urgency=low

  * [debian/control] Updated Standards-Version.
  * [debian/control, debian/rules, debian/lout.install,
    debian/lout-doc.install, debian/lout-common.install] Switched to
    dh_install and modern debhelper.
  * [debian/control, debian/rules] Introduced a lout-common package for
    architecture independent data. (Closes: #233409)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 18 Feb 2004 22:46:28 +0100

lout (3.29-2) unstable; urgency=low

  * [makefile, z09.c] Applied changes from upstream's reposted tarball.
  * [debian/control] Added Section: doc for lout-doc.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 16 Aug 2003 19:50:50 +0200

lout (3.29-1) unstable; urgency=low

  * New upstream release. 
  * [debian/control] Updated Standards-Version.
  * [debian/control, debian/rules] Use dh-buildinfo.
  * [debian/control, debian/copyright] Fixed lintian warnings.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 14 Aug 2003 18:23:21 +0200

lout (3.28-1) unstable; urgency=low

  * New upstream release. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 20 Dec 2002 08:18:53 +0100


