=== debian/control ===
Source: lout
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: zlib1g-dev, debhelper (>= 9)
Homepage: http://savannah.nongnu.org/projects/lout
Standards-Version: 3.9.8

Package: lout
Architecture: any
Depends: ${shlibs:Depends}, lout-common (= ${source:Version}), ${misc:Depends}
Suggests: lout-doc, postscript-viewer, psutils, pdf-viewer
Description: Typesetting system, an alternative to (La)TeX
 Lout is a document formatting system similar in style to LaTeX, i.e.
 it works with mark-up files - plain text files containing commands to
 control the formatting.
 .
 Lout offers a very full range of features, including
  * PostScript, PDF, and plain text output
  * optimal paragraph and page breaking
  * automatic hyphenation
  * PostScript EPS file inclusion and generation
  * equation formatting, tables, diagrams
  * rotation and scaling
  * sorted indexes, bibliographic databases
  * running headers and odd-even pages, automatic cross referencing
  * multilingual documents including hyphenation (most European languages are 
    supported, including Russian),
  * formatting of C/C++ programs. 
 .
 Lout may be extended by writing definitions which are much simpler than
 the equivalent troff or TeX macros.
 .
 Lout has several advantages over (La)TeX.  It is much smaller, and it is
 much easier to understand how to do things in Lout (including writing
 definitions) than in TeX or LaTeX.  Lout's PostScript output is very small
 and clean.
 .
 However, it is much less widely used than (La)TeX, so there are
 fewer add-on definition packages for Lout than for (La)TeX and fewer
 local experts around to ask about problems.  You are unlikely to
 find many Lout documents floating around the 'net.

Package: lout-common
Architecture: all
Depends: ${misc:Depends}
Replaces: lout (<= 3.29-2)
Suggests: lout
Description: Common files for the Lout typesetting system
 This package contains architecture-independent data files needed by the
 "lout" package.

Package: lout-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: doc-base
Description: Documentation on the Lout typesetting system
 Documents describing the Lout document formatting system:
 .
  * A Practical Introduction to the Lout Document Formatting System 
    (overhead transparencies)
  * A User's Guide to the Lout Document Formatting System
  * An Expert's Guide to the Lout Document Formatting System
  * `The design and implementation of the Lout document formatting language',
     Software--Practice and Experience, vol. 23, pp. 1001-1041 (September 1993)
