=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- SAFEDFT=1 \
		PDF_COMPRESSION=1 LDFLAGS="$(LDFLAGS)" ZLIB="-lz" ZLIBPATH="" \
		COPTS="$(CFLAGS) $(CPPFLAGS)" \
		BINDIR=/usr/bin \
		LIBDIR=/usr/share/lout \
		LOUTLIBDIR=/usr/share/lout \
		LOUTDOCDIR=/usr/share/doc/lout/ \
		DOCDIR=/usr/share/doc/lout/ \
		MANDIR=/usr/share/man/man1 \
		prg2lout lout
clean:
	$(MAKE) clean
	find doc -type f -name '*.ld' -o -name '*.li' -o -name '*.ldx' \
		-o -name '*.ps' | xargs rm -f
	dh_clean

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/share/doc/lout
	mkdir -p debian/tmp/usr/share/man/man1
	$(MAKE) BINDIR=`pwd`/debian/tmp/usr/bin \
		LOUTLIB=`pwd`/debian/tmp/usr/share/lout \
		LOUTLIBDIR=`pwd`/debian/tmp/usr/share/lout \
		LOUTDOCDIR=`pwd`/debian/tmp/usr/share/doc/lout/ \
		MANDIR=`pwd`/debian/tmp/usr/share/man/man1 \
		install installman
	export PREFIX=`pwd`/debian/tmp ; \
	export LOUTLIBDIR=$$PREFIX/usr/share/lout; \
	export LOUTDOCDIR=$$PREFIX/usr/share/doc/lout/ \
	export PATH=$$PREFIX/usr/bin:$$PATH ; \
	for doc in design expert slides user ; do \
		echo "Generating document $$doc" ; \
		(cd doc/$$doc ; lout -U -r6 \
			-I$$LOUTLIBDIR/include \
			-C$$LOUTLIBDIR/maps \
			-F$$LOUTLIBDIR/font \
			-H$$LOUTLIBDIR/hyph \
			-D$$LOUTLIBDIR/data all > $$doc.ps) ; \
	done
